### Method

# AppStream Component set_date_eol

since: 0.15.2

#### Declaration [src]

    void
    as_component_set_date_eol (
      AsComponent* cpt,
      const gchar* date
    )

#### Description [src]

Sets an end-of-life date for this component.

Available since: 0.15.2

#### Parameters

`date`

  Type: `const gchar*`

  The EOL date in ISO8601 format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.